"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const polymorphicFactory = require("../../core/factory/polymorphic-factory.cjs");
const Input = require("../Input/Input.cjs");
const useInputProps = require("../Input/use-input-props.cjs");
const defaultProps = {
  __staticSelector: "InputBase",
  withAria: true
};
const InputBase = polymorphicFactory.polymorphicFactory((props, ref) => {
  const { inputProps, wrapperProps, ...others } = useInputProps.useInputProps("InputBase", defaultProps, props);
  return /* @__PURE__ */ jsxRuntime.jsx(Input.Input.Wrapper, { ...wrapperProps, children: /* @__PURE__ */ jsxRuntime.jsx(Input.Input, { ...inputProps, ...others, ref }) });
});
InputBase.classes = { ...Input.Input.classes, ...Input.Input.Wrapper.classes };
InputBase.displayName = "@mantine/core/InputBase";
exports.InputBase = InputBase;
